// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.12.4
// source: bus/message-telegram.proto

package bus

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type MessageTelegram struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Text string `protobuf:"bytes,2,opt,name=text,proto3" json:"text,omitempty"`
	Html string `protobuf:"bytes,3,opt,name=html,proto3" json:"html,omitempty"`
}

func (x *MessageTelegram) Reset() {
	*x = MessageTelegram{}
	if protoimpl.UnsafeEnabled {
		mi := &file_bus_message_telegram_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MessageTelegram) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MessageTelegram) ProtoMessage() {}

func (x *MessageTelegram) ProtoReflect() protoreflect.Message {
	mi := &file_bus_message_telegram_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MessageTelegram.ProtoReflect.Descriptor instead.
func (*MessageTelegram) Descriptor() ([]byte, []int) {
	return file_bus_message_telegram_proto_rawDescGZIP(), []int{0}
}

func (x *MessageTelegram) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *MessageTelegram) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

func (x *MessageTelegram) GetHtml() string {
	if x != nil {
		return x.Html
	}
	return ""
}

var File_bus_message_telegram_proto protoreflect.FileDescriptor

var file_bus_message_telegram_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x62, 0x75, 0x73, 0x2f, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2d, 0x74, 0x65,
	0x6c, 0x65, 0x67, 0x72, 0x61, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x62, 0x75,
	0x73, 0x22, 0x49, 0x0a, 0x0f, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x54, 0x65, 0x6c, 0x65,
	0x67, 0x72, 0x61, 0x6d, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65, 0x78, 0x74, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x74, 0x6d, 0x6c,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x68, 0x74, 0x6d, 0x6c, 0x42, 0x40, 0x5a, 0x3e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f,
	0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x67, 0x6f, 0x2d, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x62, 0x75, 0x73, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_bus_message_telegram_proto_rawDescOnce sync.Once
	file_bus_message_telegram_proto_rawDescData = file_bus_message_telegram_proto_rawDesc
)

func file_bus_message_telegram_proto_rawDescGZIP() []byte {
	file_bus_message_telegram_proto_rawDescOnce.Do(func() {
		file_bus_message_telegram_proto_rawDescData = protoimpl.X.CompressGZIP(file_bus_message_telegram_proto_rawDescData)
	})
	return file_bus_message_telegram_proto_rawDescData
}

var file_bus_message_telegram_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_bus_message_telegram_proto_goTypes = []interface{}{
	(*MessageTelegram)(nil), // 0: bus.MessageTelegram
}
var file_bus_message_telegram_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_bus_message_telegram_proto_init() }
func file_bus_message_telegram_proto_init() {
	if File_bus_message_telegram_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_bus_message_telegram_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MessageTelegram); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_bus_message_telegram_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_bus_message_telegram_proto_goTypes,
		DependencyIndexes: file_bus_message_telegram_proto_depIdxs,
		MessageInfos:      file_bus_message_telegram_proto_msgTypes,
	}.Build()
	File_bus_message_telegram_proto = out.File
	file_bus_message_telegram_proto_rawDesc = nil
	file_bus_message_telegram_proto_goTypes = nil
	file_bus_message_telegram_proto_depIdxs = nil
}
